System Requirements

The ESET Direct Endpoint Management for N-able RMM automation policies and custom services must be imported to your N-able RMM server. These components have been developed to work with ESET endpoint products as low as version 6.6 without the use of ESET PROTECT. While the ESET PROTECT is not required with these components, it can still be used in conjunction for additional functionality. Currently these components only support ESET version 6.6 and up on Windows operating systems.

Currently these components support the following ESET endpoint products:

ESET Endpoint Antivirus 6.6 and later

ESET Endpoint Security 6.6 and later

ESET Endpoint Antivirus for macOS 6.7 and later

ESET Endpoint Security for macOS 6.7 and later

ESET Endpoint Antivirus for Linux 8.x

ESET Server Security for Linux 8.1

ESET File Security for Microsoft Windows Server 7.0 and later

ESET Mail Security for Microsoft Exchange Server 7.0 and later

 

For ESET endpoint requirements, refer to the system requirements.

These components rely on a companion program, eRMM, which is downloaded automatically to each endpoint once an ESET-specific automation policy has been run on it. This software automatically updates and only requires an internet connection. The eRMM software acts as a means of communication between ESET and N-able RMM.

EULA: https://update.esetusa.com/plugin/ermm/esetlicense.pdf

 

The ESET Direct Endpoint Management for N-able RMM provides checks and tasks for Windows, macOS and Linux endpoints.